org.apache.lucene.search

## Class IndriQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.IndriQuery

All Implemented Interfaces:
  Iterable<BooleanClause>

Direct Known Subclasses:
  IndriAndQuery

    public abstract class IndriQuery
    extends Query
    implements Iterable<BooleanClause>

A Basic abstract query that all IndriQueries can extend to implement toString, equals, getClauses, and iterator.

### Constructor Summary

Constructors
Constructor and Description
`IndriQuery(List<BooleanClause> clauses)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract Weight` `createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)` Expert: Constructs an appropriate Weight implementation for this query.
`boolean` `equals(Object o)` Override and implement query instance equivalence properly in a subclass.
`List<BooleanClause>` `getClauses()`
`int` `hashCode()` Override and implement query hash code properly in a subclass.
`Iterator<BooleanClause>` `iterator()`
`String` `toString(String field)` Prints a query to a string, with `field` assumed to be the default field and omitted.
`void` `visit(QueryVisitor visitor)` Recurse through the query tree, visiting any child queries

### Methods inherited from class org.apache.lucene.search.Query

`classHash, rewrite, sameClassAs, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### IndriQuery

    public IndriQuery(List<BooleanClause> clauses)

### Method Detail

#### createWeight

    public abstract Weight createWeight(IndexSearcher searcher,
                                        ScoreMode scoreMode,
                                        float boost)
                                 throws IOException

Description copied from class: `Query`
Expert: Constructs an appropriate Weight implementation for this query.

Only implemented by primitive queries, which re-write to themselves.

Overrides:
  `createWeight` in class `Query`
  `scoreMode` - How the produced scorers will be consumed.
  `boost` - The boost that is propagated by the parent queries.
Throws:
  `IOException`

#### toString

    public String toString(String field)

Description copied from class: `Query`
Prints a query to a string, with `field` assumed to be the default field and omitted.

Specified by:
  `toString` in class `Query`

#### equals

    public boolean equals(Object o)

Description copied from class: `Query`
Override and implement query instance equivalence properly in a subclass. This is required so that `QueryCache` works properly. Typically a query will be equal to another only if it's an instance of the same class and its document-filtering properties are identical that other instance. Utility methods are provided for certain repetitive code.

Specified by:
  `equals` in class `Query`
See Also:
  `Query.sameClassAs(Object)`, `Query.classHash()`

#### visit

    public void visit(QueryVisitor visitor)

Description copied from class: `Query`
Recurse through the query tree, visiting any child queries

Overrides:
  `visit` in class `Query`
Parameters:
  `visitor` - a QueryVisitor to be called by each query in the tree

#### hashCode

    public int hashCode()

Description copied from class: `Query`
Override and implement query hash code properly in a subclass. This is required so that `QueryCache` works properly.

Specified by:
  `hashCode` in class `Query`
See Also:
  `Query.equals(Object)`

#### iterator

    public Iterator<BooleanClause> iterator()

Specified by:
  `iterator` in interface `Iterable<BooleanClause>`

#### getClauses

    public List<BooleanClause> getClauses()